apiVersion: v1
kind: Service
metadata:
  name: vpm
  namespace: ves-system
spec:
  type: NodePort
  selector:
    name: vpm
  ports:
  - protocol: TCP
    port: 65003
    targetPort: 65003
{{- if .Values.siteToSiteNodePort.enabled }}
---
apiVersion: v1
kind: Service
metadata:
  name: ver-nodeport-ver-0
  namespace: ves-system
  labels:
    app: ver
spec:
  type: NodePort
  ports:
    - name: "ver-ike"
      protocol: UDP
      port: 4500
      targetPort: 4500
      nodePort: {{ .Values.siteToSiteNodePort.ver0.port }}
  selector:
    statefulset.kubernetes.io/pod-name: ver-0
---
apiVersion: v1
kind: Service
metadata:
  name: ver-nodeport-ver-1
  namespace: ves-system
  labels:
    app: ver
spec:
  type: NodePort
  ports:
    - name: "ver-ike"
      protocol: UDP
      port: 4500
      targetPort: 4500
      nodePort: {{ .Values.siteToSiteNodePort.ver1.port }}
  selector:
    statefulset.kubernetes.io/pod-name: ver-1
---
apiVersion: v1
kind: Service
metadata:
  name: ver-nodeport-ver-2
  namespace: ves-system
  labels:
    app: ver
spec:
  type: NodePort
  ports:
    - name: "ver-ike"
      protocol: UDP
      port: 4500
      targetPort: 4500
      nodePort: {{ .Values.siteToSiteNodePort.ver2.port }}
  selector:
    statefulset.kubernetes.io/pod-name: ver-2
{{- end }}